'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d8e41d97.js');

const helloWorldScss = ":host{display:block}.cmp-helloworld{background-color:lemonchiffon;width:min-content;border-radius:8px;padding:16px;margin:16px}.cmp-helloworld__item-output{font-size:24px;line-height:32px;font-weight:700}";

const HelloWorld = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.text = undefined;
    this.message = undefined;
  }
  render() {
    return (index.h(index.Host, null, index.h("div", { class: "cmp-helloworld" }, index.h("h2", { class: "cmp-helloworld__title" }, "Hello, World!"), index.h("div", { class: "cmp-helloworld__item" }, index.h("p", { class: "cmp-helloworld__item-label" }, "Text property:"), index.h("pre", { class: "cmp-helloworld__item-output" }, "I'm ", this.text)), index.h("div", { class: "cmp-helloworld__item" }, index.h("p", { class: "cmp-helloworld__item-label" }, "Model message:"), index.h("pre", { class: "cmp-helloworld__item-output" }, this.message)))));
  }
};
HelloWorld.style = helloWorldScss;

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const myComponentCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.first = undefined;
    this.middle = undefined;
    this.last = undefined;
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return index.h("div", null, "Hello, World! I'm ", this.getText());
  }
};
MyComponent.style = myComponentCss;

exports.hello_world = HelloWorld;
exports.my_component = MyComponent;
