import { Host, h } from '@stencil/core';
export class HelloWorld {
  constructor() {
    this.text = undefined;
    this.message = undefined;
  }
  render() {
    return (h(Host, null, h("div", { class: "cmp-helloworld" }, h("h2", { class: "cmp-helloworld__title" }, "Hello, World!"), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Text property:"), h("pre", { class: "cmp-helloworld__item-output" }, "I'm ", this.text)), h("div", { class: "cmp-helloworld__item" }, h("p", { class: "cmp-helloworld__item-label" }, "Model message:"), h("pre", { class: "cmp-helloworld__item-output" }, this.message)))));
  }
  static get is() { return "hello-world"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["hello-world.scss"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["hello-world.css"]
    };
  }
  static get properties() {
    return {
      "text": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "text",
        "reflect": false
      },
      "message": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "message",
        "reflect": false
      }
    };
  }
}
