import { p as promiseResolve, b as bootstrapLazy } from './index-55f1b28d.js';

/*
 Stencil Client Patch Browser v2.20.0 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["hello-world_2",[[1,"hello-world",{"text":[1],"message":[1]}],[1,"my-component",{"first":[1],"middle":[1],"last":[1]}]]]], options);
});
